package com.jasamedika.medifirst2000.vo;

import javax.persistence.FetchType;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class IpsrsPelaksanaanPerbaikanListTeknisiVO extends BaseTransactionVO{

	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Ipsrs Pelaksanaan Perbaikan")
	private IpsrsPelaksanaanPerbaikanVO ipsrsPelaksanaanPerbaikan;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@Caption(value = "Teknisi")
	private PegawaiVO teknisi;

	public IpsrsPelaksanaanPerbaikanVO getIpsrsPelaksanaanPerbaikan() {
		return ipsrsPelaksanaanPerbaikan;
	}

	public void setIpsrsPelaksanaanPerbaikan(IpsrsPelaksanaanPerbaikanVO ipsrsPelaksanaanPerbaikan) {
		this.ipsrsPelaksanaanPerbaikan = ipsrsPelaksanaanPerbaikan;
	}

	public PegawaiVO getTeknisi() {
		return teknisi;
	}

	public void setTeknisi(PegawaiVO teknisi) {
		this.teknisi = teknisi;
	}
	
}
